use serde::{Deserialize, Serialize};
use validator::Validate;

#[derive(Debug, Validate, Deserialize, Serialize)]
pub struct FeedbackAdd {
    #[validate(required(message = "用户ID不能为空"))]
    pub user_id: Option<i64>,
    #[validate(required, length(min = 1, message = "反馈内容不能为空"))]
    pub content: Option<String>
}